# SetLogFile

### void SetLogFile(string strFile)

EZGemPlus에 로그파일의 이름을 설정하고, SECS-II메시지를 로그에 남길지 설정하는 함수.

절대경로, 상대경로 전부 가능하며 폴더가 없을 시 생성 후 로그를 작성합니다.

{% hint style="warning" %}
로그 경로 지정 시 한글이 들어가지 않는 디렉토리 사용을 권장합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="178" valign="top"></th><th width="122" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">strFile</td><td valign="top">string</td><td valign="top">LOG파일</td></tr></tbody></table>

```csharp
m_gem.SetLogFile(@"TEST\GEM.LOG");
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-2/setlogfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
